package ru.dbotthepony.kstarbound

import org.apache.logging.log4j.LogManager
import org.lwjgl.Version
import ru.dbotthepony.kstarbound.client.StarboundClient
import ru.dbotthepony.kstarbound.server.IntegratedStarboundServer
import java.io.File
import java.net.InetSocketAddress

private val LOGGER = LogManager.getLogger()

fun main() {
	Starbound.addPakPath(File("J:\\Steam\\steamapps\\common\\Starbound\\assets\\packed.pak"))
	Starbound.doBootstrap()

	LOGGER.info("Running LWJGL ${Version.getVersion()}")

	val client = StarboundClient()

	Starbound.initializeGame().thenApply {
		val server = IntegratedStarboundServer(client, File("./"))
		server.channels.createChannel(InetSocketAddress(21060))
	}
}
